<Addin id          = "NemerleBinding"
       namespace   = "MonoDevelop"
       name        = "Nemerle Language Binding"
       author      = "Todd Berman and Alejandro Serrano"
       copyright   = "GPL"
       url         = "http://www.monodevelop.com"
       description = "Nemerle Language Binding"
	   category    = "Language bindings"
       version     = "0.11">

  <Runtime>
    <Import assembly = "NemerleBinding.dll"/>
  </Runtime>

	<Dependencies>
	    <Addin id="Core" version="1.9.2"/>
	    <Addin id="Core.Gui" version="1.9.2"/>
	    <Addin id="Projects" version="1.9.2"/>
		<Addin id="Ide" version="1.9.2"/>
	</Dependencies>
	
  <Extension path = "/MonoDevelop/ProjectModel/Ambiences">
	<Class id    = "Nemerle"
	       class = "NemerleBinding.NemerleAmbience" />
  </Extension>	
	
  <Extension path = "/MonoDevelop/Ide/FileFilters">
    <FileFilter id = "Nemerle"
                insertbefore = "AllFiles"
                _label = "Nemerle Files"
                extensions = "*.n" />
  </Extension>

  <Extension path = "/MonoDevelop/Ide/FileTemplates">
    <FileTemplate id = "EmptyNemerleFile" resource = "EmptyNemerleFile.xft.xml"/>
    <FileTemplate id = "NemerleGtkSharpWindow" resource = "NemerleGtkSharpWindow.xft.xml"/>
  </Extension>

  <Extension path = "/MonoDevelop/Ide/ProjectTemplates">
    <ProjectTemplate id = "EmptyNemerleProject" resource = "NemerleEmptyProject.xpt.xml"/>
    <ProjectTemplate id = "NemerleGtkSharpProject" resource = "NemerleGtkSharpProject.xpt.xml"/>
    <ProjectTemplate id = "NemerleGnomeSharpProject" resource = "NemerleGnomeSharpProject.xpt.xml"/>
  </Extension>

	<Extension path = "/MonoDevelop/ProjectModel/SerializableClasses">
		<DataType class = "NemerleBinding.NemerleParameters" />
	</Extension>
	
  <Extension path = "/MonoDevelop/ProjectModel/Gui/ItemOptionPanels">
    <Condition id="activelanguage" value = "Nemerle">
      <DialogPanel id = "NemerleCodeGenerationPanel"
                   _label = "Code Generation"
                   class = "NemerleBinding.CodeGenerationPanel"/>
      <DialogPanel id = "NemerleOutputPanel"
                   _label = "Output"
                   class = "NemerleBinding.OutputPanel"/>
    </Condition>
  </Extension>

  <Extension path = "/MonoDevelop/ProjectModel/Gui/Icons">
    <Icon language = "Nemerle" icon = "res:Nemerle.ProjectIcon"/>
    <Icon extensions = ".n" icon = "res:Nemerle.FileIcon"/>
  </Extension>

  <Extension path = "/MonoDevelop/ProjectModel/LanguageBindings">
    <LanguageBinding id = "Nemerle"
                     supportedextensions = ".n"
                     class = "NemerleBinding.NemerleLanguageBinding" />
  </Extension>

  <Extension path = "/AddIns/DefaultTextEditor/Formatter/Nemerle">
	<Class id ="NemerleFormattingStrategy" class = "NemerleBinding.FormattingStrategy.NemerleFormattingStrategy" />
  </Extension>

</Addin>
